import { LogOutResponse, LoginResponse } from "./types/loginStatusResponse";
import type { Options } from "./types/options";
export declare function useFacebookLogin(options: Options): {
    ready: boolean;
    busy: boolean;
    logIn: () => Promise<LoginResponse | null>;
    logOut: () => Promise<LogOutResponse>;
    getProfile: () => Promise<unknown>;
};
